///////////////////////////////////////////////////////////////////////////////
//
//  pageGenerator.js
//
// 
//  2007 Microsoft Corporation. All Rights Reserved.
//
// This file is licensed as part of the Silverlight 1.0 SDK, for details look here: http://go.microsoft.com/fwlink/?LinkID=89144&clcid=0x409
//
///////////////////////////////////////////////////////////////////////////////

// Controls the content for each page and the set of resources required by them
PageGenerator = function(numPages) {
    this.numPages = numPages;
    this.resourceArray = new Array();
    this.resourceArray[this.resourceArray.length]= "assets/logo_name.png";
    this.resourceArray[this.resourceArray.length]= "assets/SilverlightBackgroundLight.jpg";

    for (var i=5; i<=this.numPages; i++){
        this.resourceArray[this.resourceArray.length] = "assets/page" + getTwoDigitInt(i) + ".jpg";
    }
    this.resourceArray[this.resourceArray.length]= "assets/logo.png";
}

PageGenerator.prototype.getPageString = function(pageNumber, isThumbnail)
{
  var retStr = "";
  if (pageNumber < 0)
  {
    return retStr;
  }
  retStr =  "<Canvas>";
  if (pageNumber == 0)
  {
    retStr += "  <Rectangle Height='570' Width='420' Stretch='Fill'>";
    retStr += "    <Rectangle.Fill>";
    retStr += "      <LinearGradientBrush StartPoint='0,1' EndPoint='1,0'>";
    retStr += "        <GradientStop Color='#FF888888' Offset='0'/>";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='1'/>";
    retStr += "      </LinearGradientBrush>";
    retStr += "    </Rectangle.Fill>";
    retStr += "  </Rectangle>";
    retStr += "  <Image Height='570' Width='420' Source='assets/SilverlightBackgroundLight.jpg' Stretch='Fill'/>";
    retStr += "  <Image Canvas.Top='50' Canvas.Left='261' Source='assets/logo_name.png' Stretch='Fill'/>";
    retStr += "  <TextBlock Canvas.Top='90' Canvas.Left='246' Text='PageTurn Sample' FontSize='20'/>";
    retStr += "</Canvas>";
    return retStr;
  }
  else if (pageNumber == 1)
  {
    retStr += "  <Image Height='570' Width='420' Source='assets/SilverlightBackgroundDark.jpg' Stretch='Fill'/>";
    retStr += "  <TextBlock Canvas.Left='30' Canvas.Top='30' Text='Santorini, Greece...' FontSize='30' Foreground='White' Opacity='1'/>";
  }
  else if (pageNumber == 2)
  {
    retStr += "  <Rectangle Height='570' Width='420' Stretch='Fill' Fill='#77FFFFFF'>";
    retStr += "  </Rectangle>";
    retStr += "  <Ellipse Height='276' Width='276' Canvas.Top='76' Canvas.Left='70' Stretch='Fill'>";
    retStr += "    <Ellipse.Fill>";
    retStr += "      <RadialGradientBrush >";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0'/>";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0.3'/>";
    retStr += "        <GradientStop Color='#00FFFFFF' Offset='1'/>";
    retStr += "      </RadialGradientBrush>";
    retStr += "    </Ellipse.Fill>";
    retStr += "  </Ellipse>";
    retStr += "  <Image Canvas.Top='150' Canvas.Left='138' Source='assets/logo.png' Stretch='Fill'/>";
  }
  else if (pageNumber == 3)
  {
    retStr += "  <Image Canvas.Top='150' Canvas.Left='282' Source='assets/logo.png' Stretch='Fill'>";
    retStr += "    <Image.RenderTransform>";
    retStr += "      <ScaleTransform ScaleX='-1'/>";
    retStr += "    </Image.RenderTransform>";
    retStr += "  </Image>";
    retStr += "  <Ellipse Height='276' Width='276' Canvas.Top='76' Canvas.Left='74' Stretch='Fill'>";
    retStr += "    <Ellipse.Fill>";
    retStr += "      <RadialGradientBrush >";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0'/>";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0'/>";
    retStr += "        <GradientStop Color='#00FFFFFF' Offset='1'/>";
    retStr += "      </RadialGradientBrush>";
    retStr += "    </Ellipse.Fill>";
    retStr += "  </Ellipse>";
    retStr += "  <Rectangle Height='570' Width='420' Stretch='Fill' Fill='#77FFFFFF'>";
    retStr += "  </Rectangle>";
  }
  else if (pageNumber == 4)
  {
    retStr += "  <Image Height='570' Width='420' Source='assets/SilverlightBackgroundDark.jpg' Stretch='Fill'>";
    retStr += "    <Image.RenderTransform>";
    retStr += "      <TransformGroup>";
    retStr += "        <ScaleTransform ScaleX='-1'/>";
    retStr += "        <TranslateTransform X='420'/>";
    retStr += "      </TransformGroup>";
    retStr += "    </Image.RenderTransform>";
    retStr += "  </Image>";
    retStr += "  <TextBlock Canvas.Left='80' Canvas.Top='480' Text='... brought to you by:' FontSize='30' Foreground='White' Opacity='1'/>";
  }
  else if (pageNumber == 18)
  { 
    retStr += "  <Image Height='570' Width='420' Source='assets/page"+getTwoDigitInt(pageNumber)+".jpg'/>";
    retStr += "  <Ellipse Height='120' Width='120' Canvas.Top='440' Canvas.Left='283' Stretch='Fill'>";
    retStr += "    <Ellipse.Fill>";
    retStr += "      <RadialGradientBrush >";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0'/>";
    retStr += "        <GradientStop Color='#FFFFFFFF' Offset='0.4'/>";
    retStr += "        <GradientStop Color='#00FFFFFF' Offset='1'/>";
    retStr += "      </RadialGradientBrush>";
    retStr += "    </Ellipse.Fill>";
    retStr += "  </Ellipse>";
    retStr += "  <Image Height='80' Canvas.Top='460' Canvas.Left='310' Source='assets/logo.png' Stretch='Fill'/>";
  }
  else
  { 
    retStr += "  <Image Height='570' Width='420' Source='assets/page"+getTwoDigitInt(pageNumber)+".jpg'/>";
  }
  
  if ((pageNumber % 2) == 1) {
      retStr += "  <Path Data='M 420,570 h -420 v -570 h 420' Stroke='White' StrokeThickness='15'/>";
  } else {
      retStr += "  <Path Data='M 0,0 h 420 v 570 h -420' Stroke='White' StrokeThickness='15'/>";
  }

  retStr += "</Canvas>";
  return retStr;
}